Skip to main content
POST
Request an Aether review of a pull request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pullRequestID
string<uuid>
required

Query Parameters

org_id
string<uuid>

The pull request's owning organization to act in: the org_id the PullRequest carries. Required when more than one of the caller's organizations owns the pull request.

Response

Created

agent_type
enum<string>
required

The agent harness that runs a task, a profile or a connection: claude-code is Claude Code, codex is Codex, opencode is OpenCode.

Available options:
codex,
claude-code,
opencode
created_at
string<date-time>
required
model
string
required
Minimum string length: 1
run_number
integer<int64>
required
Required range: x >= 1
status
enum<string>
required
Available options:
reviewing,
completed,
failed,
cancelled,
superseded,
archived
task_id
string<uuid>
required
duration_seconds
integer<int64>
Required range: x >= 0
error
string
head_sha
string
trigger
enum<string>
Available options:
automatic,
comment_command,
manual